diff --git a/ct/kibana.sh b/ct/kibana.sh
new file mode 100644
index 00000000..0511de2b
--- /dev/null
+++ b/ct/kibana.sh
@@ -0,0 +1,85 @@
+#!/usr/bin/env bash
+source <(curl -s https://raw.githubusercontent.com/ELKozel/Proxmox/main/misc/build.func)
+# Copyright (c) 2024 ELKozel
+# Author: T.H. (ELKozel)
+# License: MIT
+# https://github.com/tteck/Proxmox/raw/main/LICENSE
+
+function header_info {
+clear
+cat <<"EOF"
+ _  ___ _                       
+| |/ (_) |__   __ _ _ __   __ _ 
+| ' /| | '_ \ / _` | '_ \ / _` |
+| . \| | |_) | (_| | | | | (_| |
+|_|\_\_|_.__/ \__,_|_| |_|\__,_|
+
+EOF
+}
+header_info
+echo -e "Loading..."
+APP="Kibana"
+var_disk="2"
+var_cpu="2"
+var_ram="2048"
+var_os="debian"
+var_version="12"
+variables
+color
+catch_errors
+
+function default_settings() {
+  CT_TYPE="1"
+  PW=""
+  CT_ID=$NEXTID
+  HN=$NSAPP
+  DISK_SIZE="$var_disk"
+  CORE_COUNT="$var_cpu"
+  RAM_SIZE="$var_ram"
+  BRG="vmbr0"
+  NET="dhcp"
+  GATE=""
+  APT_CACHER=""
+  APT_CACHER_IP=""
+  DISABLEIP6="no"
+  MTU=""
+  SD=""
+  NS=""
+  MAC=""
+  VLAN=""
+  SSH="no"
+  VERB="no"
+  echo_default
+}
+
+function update_script() {
+  header_info
+  if [[ ! -f /etc/systemd/system/elasticsearch.service ]]; then msg_error "No ${APP} Installation Found!"; exit; fi
+  if (( $(df /boot | awk 'NR==2{gsub("%","",$5); print $5}') > 80 )); then
+    read -r -p "Warning: Storage is dangerously low, continue anyway? <y/N> " prompt
+    [[ ${prompt,,} =~ ^(y|yes)$ ]] || exit
+  fi
+
+  msg_info "Stopping ${APP}"
+  $STD /bin/systemctl stop  kibana.service
+  msg_ok "Stopped ${APP}"
+
+  msg_info "Updating ${APP}"
+  $STD apt-get install kibana &>/dev/null
+  msg_ok "Updated ${APP}"
+
+  msg_info "Starting ${APP}"
+  $STD /bin/systemctl restart  kibana.service
+  msg_ok "Started ${APP}"
+
+  msg_ok "Updated Successfully"
+  exit
+}
+
+start
+build_container
+description
+
+msg_ok "Completed Successfully!\n"
+echo -e "${APP} Setup should be reachable by going to the following URL.
+         ${BL}http://${IP}:5601${CL} \n"
diff --git a/install/kibana-install.sh b/install/kibana-install.sh
new file mode 100644
index 00000000..133be9d7
--- /dev/null
+++ b/install/kibana-install.sh
@@ -0,0 +1,49 @@
+#!/usr/bin/env bash
+
+# Copyright (c) 2021-2024 tteck
+# Author: tteck (tteckster)
+# Co-Author: T.H. (ELKozel)
+# License: MIT
+# https://github.com/tteck/Proxmox/raw/main/LICENSE
+
+source /dev/stdin <<< "$FUNCTIONS_FILE_PATH"
+color
+verb_ip6
+catch_errors
+setting_up_container
+network_check
+update_os
+
+msg_info "Installing Dependencies"
+$STD apt-get install -y wget
+$STD apt-get install -y sudo
+$STD apt-get install -y mc
+$STD apt-get install -y ca-certificates
+$STD apt-get install apt-transport-https
+$STD apt-get install -y gnupg
+msg_ok "Installed Dependencies"
+
+msg_info "Setting up Elastic Repository"
+mkdir -p /etc/apt/keyrings
+wget -qO - https://artifacts.elastic.co/GPG-KEY-elasticsearch | gpg --dearmor -o /usr/share/keyrings/elasticsearch-keyring.gpg
+echo "deb [signed-by=/usr/share/keyrings/elasticsearch-keyring.gpg] https://artifacts.elastic.co/packages/8.x/apt stable main" >/etc/apt/sources.list.d/elastic-8.x.list
+msg_ok "Set up Elastic Repository"
+
+msg_info "Installing Kibana"
+$STD apt-get update
+$STD apt-get install kibana
+msg_ok "Installed Kibana"
+
+msg_info "Creating Service"
+$STD /bin/systemctl daemon-reload
+$STD /bin/systemctl enable kibana.service
+$STD /bin/systemctl start kibana.service
+msg_ok "Created Service"
+
+motd_ssh
+customize
+
+msg_info "Cleaning up"
+$STD apt-get -y autoremove
+$STD apt-get -y autoclean
+msg_ok "Cleaned"